---
title: "Pages a portfolio's holdings."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo merchant API › portfolio

`GET /v1/stores/{store}/products/{product}/portfolio/holdings`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `portfolio:read`

## Path parameters

- `store` (`listHoldings.path.store`; string, required) — The store's id.
- `product` (`listHoldings.path.product`; string, required) — An id, or `slug:<slug>`.
  - minLength 1

## Query parameters

- `filter` (`listHoldings.query.filter`; object, optional) — `filter[<field>]=<value>` is an equality, `filter[<field>][<op>]=<value>` names the operator; `in` repeats the parameter.
- `sort` (`listHoldings.query.sort`; string, optional)
  - one of `"symbol"`
- `direction` (`listHoldings.query.direction`; string, optional)
  - one of `"asc"`, `"desc"`
- `limit` (`listHoldings.query.limit`; integer, optional)
  - min 1; max 100
- `cursor` (`listHoldings.query.cursor`; string, optional)
  - maxLength 8192
- `count` (`listHoldings.query.count`; boolean, optional)
- `search` (`listHoldings.query.search`; string, optional)
  - minLength 1; maxLength 200

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sherpo.io/merchant/v1/stores/<store>/products/<product>/portfolio/holdings' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/merchant/v1/stores/<store>/products/<product>/portfolio/holdings';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/merchant/v1/stores/<store>/products/<product>/portfolio/holdings"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Pages a portfolio's holdings.

#### Example

```json
{
  "items": [
    {
      "id": "string",
      "portfolio_id": "string",
      "symbol": "string",
      "shares": 0,
      "avg_cost": 0,
      "cost_currency": "string",
      "cost_exponent": 0,
      "price_currency": "string",
      "price_exponent": 0,
      "name": "string",
      "symbol_type": "string",
      "currency": "string",
      "note": "string",
      "removed_note": "string",
      "removed_at": "string",
      "updated_at": "string",
      "metadata": {
        "property1": true,
        "property2": true
      }
    }
  ],
  "cursor": "string",
  "total": 0,
  "facets": {
    "property1": {
      "property1": 0,
      "property2": 0
    },
    "property2": {
      "property1": 0,
      "property2": 0
    }
  }
}
```

- `items` (`listHoldings.response.200.items`; array<object>, required)
  - `id` (`listHoldings.response.200.items.id`; string, required)
  - `portfolio_id` (`listHoldings.response.200.items.portfolio_id`; string, required)
  - `symbol` (`listHoldings.response.200.items.symbol`; string, required)
  - `shares` (`listHoldings.response.200.items.shares`; number, required)
  - `avg_cost` (`listHoldings.response.200.items.avg_cost`; any of, required)
    - any of: `number`, `null`
  - `cost_currency` (`listHoldings.response.200.items.cost_currency`; string, required)
  - `cost_exponent` (`listHoldings.response.200.items.cost_exponent`; any of, required)
    - any of: `number`, `null`
  - `price_currency` (`listHoldings.response.200.items.price_currency`; string, required)
  - `price_exponent` (`listHoldings.response.200.items.price_exponent`; any of, required)
    - any of: `number`, `null`
  - `name` (`listHoldings.response.200.items.name`; string, required)
  - `symbol_type` (`listHoldings.response.200.items.symbol_type`; any of, required)
    - any of: `string`, `null`
  - `currency` (`listHoldings.response.200.items.currency`; any of, required)
    - any of: `string`, `null`
  - `note` (`listHoldings.response.200.items.note`; any of, required)
    - any of: `string`, `null`
  - `removed_note` (`listHoldings.response.200.items.removed_note`; any of, required)
    - any of: `string`, `null`
  - `removed_at` (`listHoldings.response.200.items.removed_at`; any of, required)
    - any of: `string`, `null`
  - `updated_at` (`listHoldings.response.200.items.updated_at`; any of, required)
    - any of: `string`, `null`
  - `metadata` (`listHoldings.response.200.items.metadata`; map<any of>, required)
- `cursor` (`listHoldings.response.200.cursor`; any of, required)
  - any of: `string`, `null`
- `total` (`listHoldings.response.200.total`; number, optional)
- `facets` (`listHoldings.response.200.facets`; map<map<number>>, optional)

### default

A problem; see https://api.sherpo.io/merchant/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`listHoldings.response.default.type`; string, required)
  - format `uri`
- `title` (`listHoldings.response.default.title`; string, required)
- `status` (`listHoldings.response.default.status`; integer, required)
- `detail` (`listHoldings.response.default.detail`; string, required)
- `code` (`listHoldings.response.default.code`; string, optional)
- `context` (`listHoldings.response.default.context`; object, optional)
- `reached_core` (`listHoldings.response.default.reached_core`; boolean, optional)
- `core_answer` (`listHoldings.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/merchant-api/reference/list-holdings/index.md
